List catalog listings Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
GET /v1/catalog/listings

Retrieve a list of catalog listings belonging to the authenticated organization.

Query parameters

  • page integer

    Page number for pagination

  • per_page integer

    Number of listings per page (default: 100)

  • item_id integer

    Filter listings by item ID

Responses

  • 200 application/json

    catalog listings filtered by item_id

    Hide response attributes Show response attributes object
    • id integer Required

      Listing ID

    • listing_mp_primary_id string Required

      Listing marketplace primary ID

    • listing_name string | null

      Listing name

    • marketplace_name string | null

      Marketplace name

    • listing_mp_seller_account_id string | null

      Listing marketplace seller account ID

    • item_id integer | null

      Associated item ID

  • 404 application/json

    item not found or does not belong to organization

    Hide response attribute Show response attribute object
    • error string
GET /v1/catalog/listings
curl \
 --request GET 'https://api.pattern.com/hub/v1/catalog/listings' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": 42,
    "listing_mp_primary_id": "string",
    "listing_name": "string",
    "marketplace_name": "string",
    "listing_mp_seller_account_id": "string",
    "item_id": 42
  }
]
Response examples (404)
{
  "error": "string"
}